[Deprecated]: v2.0
get
/ec-codelist-svc/rest/v2.0/codelist/{name}
Deprecated: Use /v4.0/codelist/{name} instead. The v4 endpoint supports study and mode scoped retrieval for codelist values by name.
Request
Path Parameters
-
name(required): string
Required. Codelist name.Example:
AESEV
Query Parameters
-
softwareReleaseNumber: string
Optional. Maximum software release version of codelists to return.Example:
R1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : CodeListDto
Type:
Show Source
object-
codeName: string
Codelist code name.Example:
AE_SEVERITY -
codeType: string
Codelist code type.Example:
String -
comment: string
Comment.Example:
Updated description -
id: string
Codelist unique identifier.Example:
D1D8327AFAA6412287106192AB5984EF -
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Operation type.Example:
CREATED -
optLock: string
(date-time)
Optimistic lock timestamp.Example:
2026-03-05T12:26:01.086Z -
reason: string
Reason for change.Example:
Updating codelist -
softwareVersionNumber: number
Software version number.Example:
1 -
userId: string
User unique identifier.Example:
0000000000000000000000000000000A -
values: array
values
Codelist values.
-
versionEnd: string
(date-time)
Version end timestamp.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Version start timestamp.Example:
2026-03-05T06:56:01.013Z
Nested Schema : values
Type:
arrayCodelist values.
Show Source
-
Array of:
object CodeValueDto
Codelist values.
Example:
[
{
"id":"56B7D39029424986ADC86DC4B976DD5E",
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en-US"
}
]Nested Schema : CodeValueDto
Type:
objectCodelist values.
Show Source
-
codeId: string
Parent codelist unique identifier.Example:
6B0BE74E22864269898DCD7F2E55A130 -
codeLabel: string
Codelist value label.Example:
Mild -
codeValue: string
Codelist value.Example:
MILD -
comment: string
Comment.Example:
Updated label -
id: string
Codelist value unique identifier.Example:
56B7D39029424986ADC86DC4B976DD5E -
locale: string
Locale.Example:
en-US -
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Operation type.Example:
CREATED -
optLock: string
(date-time)
Optimistic lock timestamp.Example:
2026-03-05T12:26:01.086Z -
reason: string
Reason for change.Example:
Updating codelist value -
softwareVersionNumber: number
Software version number.Example:
1 -
userId: string
User unique identifier.Example:
0000000000000000000000000000000A -
versionEnd: string
(date-time)
Version end timestamp.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Version start timestamp.Example:
2026-03-05T06:56:01.013Z
Example:
[
{
"id":"56B7D39029424986ADC86DC4B976DD5E",
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en-US"
}
]Examples
400 Response
'Internal server error', 'Invalid version number','Missing required field (codeName)'
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Internal server error
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples